ru.bitel.bgbilling.modules.inet.api.server.bean

## Class SearchContractByInetLogin

- java.lang.Object
- - bitel.billing.server.contract.bean.find.SearchContractModule
  - - ru.bitel.bgbilling.modules.inet.api.server.bean.SearchContractByInetLogin

-     public class SearchContractByInetLogin
      extends bitel.billing.server.contract.bean.find.SearchContractModule

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.contract.bean.find.SearchContractModule

      `MAX_SELECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchContractByInetLogin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Contract>` | `findContracts(java.sql.Connection con, bitel.billing.server.contract.bean.find.SearchContract search, java.lang.String param, java.util.Date date)`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class bitel.billing.server.contract.bean.find.SearchContractModule

      `addContractFilter, addContractSelectPart, addDateFilter, addDateFilter, addLimitAndTitleRegexpFilter, addWhereQuery, extractContracts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchContractByInetLogin

          public SearchContractByInetLogin()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `bitel.billing.server.contract.bean.find.SearchContractModule`

    - #### findContracts

          public java.util.List<Contract> findContracts(java.sql.Connection con,
                                                        bitel.billing.server.contract.bean.find.SearchContract search,
                                                        java.lang.String param,
                                                        java.util.Date date)

      Specified by:
        `findContracts` in class `bitel.billing.server.contract.bean.find.SearchContractModule`